## org.eclipse.datatools.modelbase.sql.constraints.impl
Class UniqueConstraintImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
                          org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl

All Implemented Interfaces:
  Constraint, ReferenceConstraint, TableConstraint, UniqueConstraint, SQLObject

Direct Known Subclasses:
  PrimaryKeyImpl

    public class UniqueConstraintImpl

extends ReferenceConstraintImpl
implements UniqueConstraint

An implementation of the model object 'Unique Constraint'.

The following features are implemented:

- `Foreign Key`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getForeignKey()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
`getMembers`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getForeignKey

    public EList getForeignKey()

  Specified by:
    `getForeignKey` in interface `UniqueConstraint`
  Returns:
    the value of the 'Foreign Key' reference list.
  See Also:
    `SQLConstraintsPackage.getUniqueConstraint_ForeignKey()`, `ForeignKey.getUniqueConstraint()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableConstraintImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableConstraintImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ReferenceConstraintImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ReferenceConstraintImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ReferenceConstraintImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ReferenceConstraintImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.